cannot load such file -- tiny_tds/tiny_tds

Added by Chris Lockwood over 6 years ago

I'm struggling with my Fedora 18 install of Redmine 2.3-Stable, everything had been going well up until the point of performing (and yes I'm targeting SQL Server):

rake --trace generate_secret_token

After which point I'm presented with this:

rake aborted!
cannot load such file -- tiny_tds/tiny_tds
/usr/local/share/gems/gems/tiny_tds-0.5.1/lib/tiny_tds.rb:16:in `require'
/usr/local/share/gems/gems/tiny_tds-0.5.1/lib/tiny_tds.rb:16:in `rescue in <top (required)>'
/usr/local/share/gems/gems/tiny_tds-0.5.1/lib/tiny_tds.rb:12:in `<top (required)>'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler/runtime.rb:72:in `require'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler/runtime.rb:72:in `block (2 levels) in require'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler/runtime.rb:70:in `each'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler/runtime.rb:70:in `block in require'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler/runtime.rb:59:in `each'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler/runtime.rb:59:in `require'
/usr/local/share/gems/gems/bundler-1.3.4/lib/bundler.rb:132:in `require'
/etc/redmine/config/application.rb:7:in `<top (required)>'
/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
/etc/redmine/Rakefile:5:in `<top (required)>'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/rake_module.rb:25:in `load'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/rake_module.rb:25:in `load_rakefile'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:583:in `raw_load_rakefile'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:89:in `block in load_rakefile'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:160:in `standard_exception_handling'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:88:in `load_rakefile'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:72:in `block in run'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:160:in `standard_exception_handling'
/usr/local/share/gems/gems/rake-10.0.3/lib/rake/application.rb:70:in `run'
/usr/local/share/gems/gems/rake-10.0.3/bin/rake:33:in `<top (required)>'
/usr/local/bin/rake:23:in `load'
/usr/local/bin/rake:23:in `<main>'

I'm sporting the following packages/gems

Name Version
FreeTDS 0.91
FreeTDS-Devel 0.91
Ruby 1.9.3p392
Gem 1.8.25
Rails 3.2.12
tiny_tds 0.5.1

Any ideas would be appreciated!

Replies (2)

RE: cannot load such file -- tiny_tds/tiny_tds - Added by Etienne Massip over 6 years ago

FWIW I saw the same error with Ruby 2.0.

RE: cannot load such file -- tiny_tds/tiny_tds - Added by Chris Lockwood about 6 years ago

Etienne Massip wrote:

FWIW I saw the same error with Ruby 2.0.

Well this pointed me in the right direction, muchas gracias! Although somewhat ironically I found my solution was to trade up to Ruby 2.0.0p100 (installed from source).

(1-2/2)